Name:             rogue
Version:          5.4.5
Release:          18%{?dist}
Summary:          The original graphical adventure game
License:          BSD
URL:              http://rogue.rogueforge.net/
Source0:          http://rogue.rogueforge.net/files/rogue5.4/rogue5.4.5a-src.tar.gz
Patch0:           rogue-5.4.5-writesave.patch
Patch1:           rogue-5.4.5-backspace.patch
BuildRequires:    binutils
BuildRequires:    coreutils
BuildRequires:    desktop-file-utils
BuildRequires:    gcc
BuildRequires:    hostname
BuildRequires:    make
BuildRequires:    ncurses-devel
BuildRequires:    sed
# gtk-update-icon-cache omitted on purpose
# it should only run on systems that have it already
Requires(post):   coreutils
Requires(post):   desktop-file-utils
Requires(postun): coreutils
Requires(postun): desktop-file-utils

%description
The one, the only, the original graphical adventure game that spawned
an entire genre.

%prep
%setup -q -n %{name}%{version}
%patch0 -p0
%patch1 -p1

%build
export CFLAGS="%{optflags}"
export LDFLAGS="%{?__global_ldflags}"
%configure \
    --enable-setgid=games \
    --enable-scorefile=%{_localstatedir}/games/roguelike/rogue54.scr \
    --enable-lockfile=%{_localstatedir}/games/roguelike/rogue54.lck \
    --docdir=%{_docdir}/%{name}
make %{_smp_mflags}

%install
make install DESTDIR=%{buildroot}
install -D -p -m644 \
    %{name}.png %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications %{name}.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license LICENSE.TXT
%exclude %{_docdir}/%{name}/LICENSE.TXT
%doc %{_docdir}/%{name}
%attr(2755,games,games) %{_bindir}/%{name}
%{_mandir}/man6/%{name}.*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%dir %attr(0775,games,games) %{_localstatedir}/games/roguelike
%config(noreplace) %attr(0664,games,games) %{_localstatedir}/games/roguelike/%{name}54.scr

%changelog
* Thu Jul 09 2015 Petr Šabata <contyk@redhat.com> - 5.4.5-18
- Fix the dep list, hopefully
- Update the icons snippets
- Handle the desktop file correctly
- Install the license text with the %%license macro

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4.5-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4.5-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4.5-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 27 2013 Petr Šabata <contyk@redhat.com> - 5.4.5-14
- Switch to unversioned docdir (#993933)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May 01 2013 Jon Ciesla <limburgher@gmail.com> - 5.4.5-12
- Drop desktop vendor tag.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Aug 14 2012 Petr Šabata <contyk@redhat.com> - 5.4.5-10
- Recognize the backspace key as the erase character
- Thanks to John Haxby <jch@thehaxbys.co.uk> (#847852)

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Apr 24 2010 Wart <wart at kobold.org> 5.4.5-6
- Add patch for fixing corrupt writing of savefiles (BZ #560790)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Wart <wart at kobold.org> 5.4.5-3
- Add coreutils requirement for rpm post scripts (BZ #475924)

* Fri Feb 8 2008 Wart <wart at kobold.org> 5.4.5-2
- Rebuild for gcc 4.3

* Tue Jan 1 2008 Wart <wart at kobold.org> 5.4.5-1
- Update to 5.4.5
- Drop two files that are now included in the upstream tarball

* Sun Sep 2 2007 Wart <wart at kobold.org> 5.4.4-1
- Update to 5.4.4

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 5.4.2-10
- Rebuild for selinux ppc32 issue.

* Sun Jul 15 2007 Wart <wart at kobold.org> 5.4.2-9
- New upstream home page and download URL
- Add patch when reading long values from the save file on 64-bit arch
  (BZ #248283)
- Add patch removing many compiler warnings
- Use proper version in the .desktop file

* Sat Mar 3 2007 Wart <wart at kobold.org> 5.4.2-8
- Use better sourceforge download url
- Use more precise desktop file categories

* Mon Aug 28 2006 Wart <wart at kobold.org> 5.4.2-7
- Rebuild for Fedora Extras

* Tue May 16 2006 Wart <wart at kobold.org> 5.4.2-6
- Added empty initial scoreboard file.

* Mon May 15 2006 Wart <wart at kobold.org> 5.4.2-5
- Better setuid/setgid handling (again) (BZ #187392)

* Thu Mar 30 2006 Wart <wart at kobold.org> 5.4.2-4
- Better setuid/setgid handling (BZ #187392)
- Resize desktop icon to match directory name

* Mon Mar 13 2006 Wart <wart at kobold.org> 5.4.2-3
- Added icon for .desktop file.

* Sun Mar 12 2006 Wart <wart at kobold.org> 5.4.2-2
- Added missing BR: ncurses-devel, desktop-file-utils

* Sat Feb 25 2006 Wart <wart at kobold.org> 5.4.2-1
- Initial spec file.
